/* 
 * File:   main.c
 * Author: pehladik
 */

#include <stdio.h>
#include <errno.h>
#include "hippo.h"
#include "hippo_app_functions.h"
#include <sys/time.h>


int print();
struct timespec prev;
struct timespec now;
/*
* Function linked to the task t
*/
int print() {
    clock_gettime(CLOCK_REALTIME, &now);
    long diff = now.tv_nsec - prev.tv_nsec;
    printf("*******************************************\n");
    printf("*****   CALL PERIODIC HELLO WORLD   *******\n");
    printf("*****   Period of %ld s %ld.%03ld msec\n", now.tv_sec - prev.tv_sec, diff/1000000, (diff/1000)%1000);
    printf("*******************************************\n");
    prev = now;
    return 0;
}


/*
 * 
 */
int main(int argc, char** argv) {
    clock_gettime(CLOCK_REALTIME, &prev);
    clock_gettime(CLOCK_REALTIME, &now);
    engine_run();
    return (EXIT_SUCCESS);
}